import { useEffect, useLayoutEffect, useMemo, useRef, useState } from 'react';
import { createMarkStore, store, useMarkStore } from '../store';
console.log('store', store);
import { StoreContextProvider } from '@kevisual/store/react';
import { LineChart } from 'lucide-react';
import { useShallow } from 'zustand/shallow';
import { Core } from './core/Excalidraw';

export const Draw = ({ id, onClose }: { id: string; onClose: () => void }) => {
  useLayoutEffect(() => {
    // @ts-ignore
    window.EXCALIDRAW_ASSET_PATH = 'https://esm.sh/@excalidraw/excalidraw@0.18.0/dist/prod/';
    // window.EXCALIDRAW_ASSET_PATH = '/';
  }, []);
  return (
    <StoreContextProvider id={id} stateCreator={createMarkStore}>
      <ExcaliDrawComponent id={id} onClose={onClose} />
    </StoreContextProvider>
  );
};

type ExcaliDrawComponentProps = {
  /** 修改的id */
  id: string;
  /** 关闭 */
  onClose: () => void;
};
export const ExcaliDrawComponent = ({ id, onClose }: ExcaliDrawComponentProps) => {
  const store = useMarkStore(
    useShallow((state) => {
      return {
        id: state.id,
        setId: state.setId,
        getMark: state.getMark,
      };
    }),
  );

  const memo = useMemo(() => <Core onClose={onClose} id={id} />, [id, onClose]);
  return <>{memo}</>;
};
